Subject: Re: bug#55527: 28.1; Clearer abbrev docstrings

From: Howard Melman <[email-masked]>
Date: Sat, 21 May 2022 09:41:41 -0400

On May 21, 2022, at 3:23 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> I've now improved the doc strings and prompts, on the release branch,
> per this discussion.
> 
> Any more issues, or can we close this?

I think the new prompts will be very helpful.

I think the new use of "abbreviation" in the inverse- flavor of the
commands will help.

For the non-inverse commands I'd love to see the "word(s)"
construction retained as it jumps out when skimming the docstring and
is a bit more accurate.  So how about:

  (defun add-mode-abbrev (arg)
  "Define a mode-specific abbrev which expands into the word(s) before point.

  (defun add-global-abbrev (arg)
  "Define a global (all modes) abbrev which expands into word(s) before point.

Howard